PDA

View Full Version : Unable to install Mono-Core on Fedora 26



Nice10150
25th July 2017, 09:44 AM
we have several systems running Fedora, and most are now upgraded to the latest 26 release...

But we cannot install Mono-Core and with that we cannot run several programs. So my question is how do I downgrade back to Fedora 25 or better how can I get Mono-Core 4.8 to install?

We get file /usr/lib/mono/4.5/mscorlib.dll conflicts between attempted installs of mono-core-4.8.0-7.fc26.x86_64 and mono-core-4.8.0-7.fc26.i686

I even removed the whole /usr/lib/mono folder but amazingly we still get the same install conflict...

tryfedoraa
12th August 2017, 06:57 PM
Are there any other ways you could workaround this issue? Perhaps using linux containers to install the two packages seperately?

https://bugzilla.redhat.com/show_bug.cgi?id=1474107

Alberto Patino
3rd September 2017, 07:14 PM
I had similar issues to install mono 5.2 from mono repo in Fedora 26 but I manage to get rid of unusual errors by disabling fedora repo.

I noticed that dnf was trying to install mono 4.8 from fedora repo at the same time when installing mono 5.2 from mono repo. So I disable fedora repo:

[CODE]
sudo dnf --disablerepo fedora install mono-core.x86_64
/CODE]